#!/bin/bash

# this script collects all parties that are standard parties
# on the partiesserver, and renames the jar-with-dependencies
# The collected parties are placed in a new directory "collectedparties".

rm -rf collectedparties
mkdir collectedparties
VERSION=1.6.1

cp "exampleparties/anac2019/agentgg/target/agentgg-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "exampleparties/boulware/target/boulware-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "exampleparties/comparebids/target/comparebids-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "exampleparties/conceder/target/conceder-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "exampleparties/hardliner/target/hardliner-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "exampleparties/linear/target/linear-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "exampleparties/randomparty/target/randomparty-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "exampleparties/randompartypy/target/randompyparty-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "exampleparties/simpleshaop/target/simpleshaop-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "exampleparties/timedependentparty/target/timedependentparty-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "exampleparties/anac2019/winkyagent/target/winkyagent-${VERSION}-jar-with-dependencies.jar" collectedparties
cp "boa/target/boa-${VERSION}-jar-with-dependencies.jar" collectedparties

cd collectedparties
 for filename in ./*; do mv "./$filename" "./$(echo "$filename" | sed -e 's/-jar-with-dependencies//g')";  done


